'use strict';
const uniStatCron = require('uni-stat').initStat()
//手动跑批任务，需要先关联uni-stat公共模块
exports.main = async (event, context) => {
	const date = new Date()
	// const thisTime = date.getTime()
	// let res = await uniStatCron.stat({
	// 	type: 'stat', //任务类型，stat:基础统计、page:页面统计。。。，任务类型及跑批时间可查看文档(https://uniapp.dcloud.net.cn/uni-stat-v2.html#%E5%AE%9A%E6%97%B6%E4%BB%BB%E5%8A%A1%E9%85%8D%E7%BD%AE%E8%AF%B4%E6%98%8E)
	// 	date: thisTime + 86400000 * 7, //运行时间，设置为下一小时，提前触发实时统计
	// 	dimension: 'day', //批次类型，hour：小时 day：天  week：周 month：月
	// 	reset: true //是否重置数据，设置为true后，若存在该批次数据则会删除后重新跑批
	// }) 
	//统计 retention-device  stat
	//运行本地函数手动跑任务
	for (let i = 0; i < 3; i++) {
		let thisTime = Date.now() - i * 86400000;
		try {
			let res = await uniStatCron.stat({
				type: 'stat',
				date: thisTime,
				dimension: 'day',
				reset: true
			});
			console.log(`Day ${i + 1}: Success`, res);
		} catch (error) {
			console.error(`Day ${i + 1}: Error`, error);
		}
	}
	// let thisTime = Date.now();
	// try {
	// 	let res = await uniStatCron.stat({
	// 		type: 'clean',
	// 		date: thisTime,
	// 		dimension: 'day',
	// 		reset: true
	// 	});
	// 	console.log(`Day ${i + 1}: Success`, res);
	// } catch (error) {
	// 	console.error(`Day ${i + 1}: Error`, error);
	// }
	//返回数据给客户端
	return res
};